org.apache.lucene.analysis.path

## Class PathHierarchyTokenizer

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.Tokenizer
      - - org.apache.lucene.analysis.path.PathHierarchyTokenizer

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class PathHierarchyTokenizer
    extends Tokenizer

Tokenizer for path-like hierarchies.

Take something like:

      /something/something/else

and make:

      /something
      /something/something
      /something/something/else

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

Fields
`static char` `DEFAULT_DELIMITER`
`static int` `DEFAULT_SKIP`

### Fields inherited from class org.apache.lucene.analysis.Tokenizer

`input`

### Constructor Summary

Constructors
Constructor and Description
`PathHierarchyTokenizer(Reader input)`
`PathHierarchyTokenizer(Reader input, char delimiter, char replacement)`
`PathHierarchyTokenizer(Reader input, char delimiter, char replacement, int skip)`
`PathHierarchyTokenizer(Reader input, int skip)`
`PathHierarchyTokenizer(Reader input, int bufferSize, char delimiter)`
`PathHierarchyTokenizer(Reader input, int bufferSize, char delimiter, char replacement, int skip)`

### Method Summary

Methods
`void` `end()`
`boolean` `incrementToken()`
`void` `reset()`

### Methods inherited from class org.apache.lucene.analysis.Tokenizer

`close, correctOffset, setReader`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_DELIMITER

    public static final char DEFAULT_DELIMITER

See Also:
  Constant Field Values

#### DEFAULT_SKIP

    public static final int DEFAULT_SKIP

See Also:
  Constant Field Values

### Constructor Detail

#### PathHierarchyTokenizer

    public PathHierarchyTokenizer(Reader input)

#### PathHierarchyTokenizer

    public PathHierarchyTokenizer(Reader input,
                          int skip)

#### PathHierarchyTokenizer

    public PathHierarchyTokenizer(Reader input,
                          int bufferSize,
                          char delimiter)

#### PathHierarchyTokenizer

    public PathHierarchyTokenizer(Reader input,
                          char delimiter,
                          char replacement)

#### PathHierarchyTokenizer

    public PathHierarchyTokenizer(Reader input,
                          char delimiter,
                          char replacement,
                          int skip)

#### PathHierarchyTokenizer

    public PathHierarchyTokenizer(Reader input,
                          int bufferSize,
                          char delimiter,
                          char replacement,
                          int skip)

### Method Detail

#### incrementToken

    public final boolean incrementToken()
                                 throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`

#### end

    public final void end()

Overrides:
  `end` in class `TokenStream`

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `TokenStream`
Throws:
  `IOException`